<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<plugin
   id="org.eclipse.hyades.execution.testgen.http"
   name="%NAME"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.execution.testgen.http.TestgenHttpPlugin">

   <runtime>
      <library name="http.hextgen.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>   
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.hyades.models.common"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.hyades.test.http"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.test.java"/>
      <import plugin="org.eclipse.hyades.execution.testgen"/>
   </requires>


   <extension-point id="nodeHandlers" name="org.eclipse.hyades.execution.testgen.http.nodeHandlers" schema="schema/nodeHandlers.exsd"/>

   <extension
         point="org.eclipse.hyades.execution.testgen.TestGenerator">
      <Generator
            name="%HTTP_Test_Generator_Name"
            class="org.eclipse.hyades.execution.testgen.http.Testgen"
            id="org.eclipse.hyades.execution.testgen.TestGenGenerator.HTTPGenerator"
            priority="-1">
      </Generator>
   </extension>

</plugin>
